#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x987b4835, "__platform_driver_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x5a5ed907, "geni_se_resources_off" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x82e1064c, "geni_icc_disable" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0x9cb44aaa, "__dynamic_dev_dbg" },
	{ 0xc6f52f3f, "_dev_err" },
	{ 0x2f4703a7, "dma_unmap_page_attrs" },
	{ 0x4dae16e4, "i2c_put_dma_safe_msg_buf" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xa04f4096, "platform_driver_unregister" },
	{ 0xe9146bb4, "__pm_runtime_disable" },
	{ 0xca51d7eb, "__pm_runtime_set_status" },
	{ 0x7754bc16, "pm_runtime_enable" },
	{ 0x42041512, "i2c_get_dma_safe_msg_buf" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6c7634d9, "dma_map_page_attrs" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x10f4d484, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8b98680b, "geni_icc_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x8adf61bc, "geni_se_resources_on" },
	{ 0x1d0e67d4, "i2c_del_adapter" },
	{ 0xddd859e4, "dma_release_channel" },
	{ 0x467f4ef6, "dev_pm_domain_detach_list" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0xc4ac58dd, "geni_se_select_mode" },
	{ 0xd1f25555, "geni_se_tx_dma_prep" },
	{ 0x1ca54cfc, "geni_se_tx_dma_unprep" },
	{ 0x498f62c5, "geni_se_rx_dma_prep" },
	{ 0x7d49dba2, "geni_se_rx_dma_unprep" },
	{ 0xe06a5fa9, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x1e9b4c2e, "__pm_runtime_suspend" },
	{ 0x184a839d, "devm_kmalloc" },
	{ 0xcb18e0a7, "platform_get_resource" },
	{ 0xb4a3b8a, "devm_ioremap_resource" },
	{ 0x4c4b1a8e, "geni_se_is_fw_managed" },
	{ 0xfe27fdd, "device_get_match_data" },
	{ 0x3d139bb2, "devm_clk_get" },
	{ 0x7461d60c, "device_property_read_u32_array" },
	{ 0xfd3e4e10, "is_acpi_device_node" },
	{ 0xd35d2d8f, "platform_get_irq" },
	{ 0x7fd867f5, "geni_se_domain_attach" },
	{ 0xe89dd716, "set_primary_fwnode" },
	{ 0xdc858d1b, "geni_se_get_level" },
	{ 0x74f3ddc3, "geni_se_set_perf_level" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x311cf3da, "devm_request_threaded_irq" },
	{ 0x24ca1ed, "pm_runtime_set_autosuspend_delay" },
	{ 0x4db4acf4, "__pm_runtime_use_autosuspend" },
	{ 0x45cbb9fe, "geni_icc_get" },
	{ 0xfab2b17e, "geni_icc_set_bw" },
	{ 0x14133613, "geni_se_init" },
	{ 0x9b3524bb, "geni_se_config_packing" },
	{ 0x249dd0f3, "__pm_runtime_idle" },
	{ 0x3c90a0d0, "i2c_add_adapter" },
	{ 0xd33a4e32, "dma_request_chan" },
	{ 0x2f2f1086, "dev_err_probe" },
	{ 0x610616f3, "_dev_info" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "qcom-geni-se");

MODULE_ALIAS("of:N*T*Cqcom,geni-i2c");
MODULE_ALIAS("of:N*T*Cqcom,geni-i2cC*");
MODULE_ALIAS("of:N*T*Cqcom,geni-i2c-master-hub");
MODULE_ALIAS("of:N*T*Cqcom,geni-i2c-master-hubC*");
MODULE_ALIAS("acpi*:QCOM0220:*");

MODULE_INFO(srcversion, "A82E3F0A33CDE6646F3E378");
MODULE_INFO(rhelversion, "9.7");
